[arch-commits] Commit in intel-dri/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed May 14 14:08:06 EDT 2008


    Date: Wednesday, May 14, 2008 @ 14:08:06
  Author: jgc
Revision: 1679

upgpkg: intel-dri 7.0.3-1
    Add standalone intel-dri package so xf86-video-intel and xf86-video-i810 have no file conflicts

Added:
  intel-dri/trunk/PKGBUILD

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-05-14 18:08:06 UTC (rev 1679)
@@ -0,0 +1,38 @@
+# $Id: $
+# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+pkgname=intel-dri
+pkgver=7.0.3
+pkgrel=1
+pkgdesc="Mesa DRI drivers for Intel chipsets"
+arch=(i686 x86_64)
+url="http://xorg.freedesktop.org/"
+depends=('libdrm>=2.3.0' 'expat>=2.0')
+makedepends=('imake' 'mesa>=7.0.3' 'glproto>=1.4.9')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${pkgver}.tar.bz2)
+md5sums=('e6e6379d7793af40a6bc3ce1bace572e')
+
+build() {
+  cd ${startdir}/src/Mesa-${pkgver}/configs
+
+  CONFIG="linux-dri-x86"
+  [ "$CARCH" = "x86_64" ] && CONFIG="linux-dri-x86-64"
+  echo "EXTRA_LIB_PATH =" >> ${CONFIG}
+  echo "OPT_FLAGS = ${CFLAGS} -fno-strict-aliasing" >> ${CONFIG}
+  echo "SRC_DIRS = glx/x11 mesa" >> ${CONFIG}
+  echo "USING_EGL = 0" >> ${CONFIG}
+  echo "PROGRAM_DIRS =" >> ${CONFIG}
+  echo "MKDEP = makedepend" >> ${CONFIG}
+  echo "DRI_DIRS = i810 i915 i915tex i965" >> ${CONFIG}
+  echo "DRI_DRIVER_SEARCH_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
+  echo "DRI_DRIVER_INSTALL_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
+  echo "ARCH_FLAGS += -DGLX_USE_TLS" >> ${CONFIG}
+  echo "X11_INCLUDES = `pkg-config --cflags-only-I x11`" >> ${CONFIG}
+
+  ln -s ${CONFIG} current
+  cd ${startdir}/src/Mesa-${pkgver}/src/mesa
+  make linux-solo || return 1
+  cd drivers/dri
+  make DESTDIR=${startdir}/pkg install || return 1
+}





More information about the arch-commits mailing list